require 'test/unit'
require 'salesforce_cache/client'

class SalesforceCacheTest < Test::Unit::TestCase
  def testSetup
    paramsGeneral    =  {
      :api_fqdn      => 'na1.salesforce.com',
      :api_version   => '29.0',
      :data_dir      => '/path/to/sf_data',
      :max_age       => 60*60*24*7
    }

    paramsToken      =  {
      :grant_type    => 'password',
      :client_id     => 'my_client_id',
      :client_secret => 'my_client_secret',
      :username      => 'my_username',
      :password      => 'my_password'
    }

    sfFsdbClient = SalesforceCache::Client.new(paramsGeneral,paramsToken)
    accountDir   = sfFsdbClient.getDirForType('Account')

    assert_equal accountDir, File.join(paramsGeneral[:data_dir],'Account')

    tokenUrl     = 'https://login.salesforce.com/services/oauth2/token'
    assert_equal tokenUrl, sfFsdbClient.oSfRestClient.sSfTokenUrl
  end
end